'use stric'

const express = require('express');
const api = express.Router(); // esto sirve para crear las rutas
const PermisoController = require('../controllers/permiso')
const md_auth = require('../middleware/authenticated');
const multer = require('../libs/multerEvidenciaPermisos');


api.get('/obtenerTiposPermiso', md_auth.ensureAuth, PermisoController.obtenerTiposPermiso);
api.post('/registrarPermiso', md_auth.ensureAuth, PermisoController.registrarPermiso);
api.post('/obtenerPermisos/:id', md_auth.ensureAuth, PermisoController.obtenerPermisos);
api.post('/contarTotalPermisos/:id', md_auth.ensureAuth, PermisoController.contarTotalPermisos);
api.get('/obtenerPermiso/:id', md_auth.ensureAuth, PermisoController.obtenerPermiso);
api.put('/actualizarPermiso/:id', md_auth.ensureAuth, PermisoController.actualizarPermiso);
api.delete('/eliminarPermiso/:id', md_auth.ensureAuth, PermisoController.eliminarPermiso);
api.post('/registrarEvidencia/:id',multer.single('archivo'),md_auth.ensureAuth, PermisoController.registrarEvidencia);

// jefe
api.post('/obtenerPermisosPendientesParaJefe/:idarea', md_auth.ensureAuth, PermisoController.obtenerPermisosPendientesParaJefe);
api.post('/contarTotalPermisosPendientesParaJefe/:idarea', md_auth.ensureAuth, PermisoController.contarTotalPermisosPendientesParaJefe);
api.post('/obtenerPermisosRevisadosParaJefe/:idarea', md_auth.ensureAuth, PermisoController.obtenerPermisosRevisadosParaJefe);
api.post('/contarTotalPermisosRevisadosParaJefe/:idarea', md_auth.ensureAuth, PermisoController.contarTotalPermisosRevisadosParaJefe);
api.put('/actualizarPermisoParaJefe/:id', md_auth.ensureAuth, PermisoController.actualizarPermisoParaJefe);

// adminsitrador tthh
api.post('/obtenerPermisosPendientesParaTTHH', md_auth.ensureAuth, PermisoController.obtenerPermisosPendientesParaTTHH);
api.post('/contarTotalPermisosPendientesParaTTHH', md_auth.ensureAuth, PermisoController.contarTotalPermisosPendientesParaTTHH);
api.post('/obtenerPermisosRevisadosParaTTHH', md_auth.ensureAuth, PermisoController.obtenerPermisosRevisadosParaTTHH);
api.post('/contarTotalPermisosRevisadosParaTTHH', md_auth.ensureAuth, PermisoController.contarTotalPermisosRevisadosParaTTHH);
api.put('/actualizarPermisoParaTTHH/:id', md_auth.ensureAuth, PermisoController.actualizarPermisoParaTTHH);

// gerente
api.post('/obtenerPermisosParaGerente', md_auth.ensureAuth, PermisoController.obtenerPermisosParaGerente);
api.post('/contarTotalPermisosParaGerente', md_auth.ensureAuth, PermisoController.contarTotalPermisosParaGerente);
api.post('/obtenerPermisosRevisadosParaGerente', md_auth.ensureAuth, PermisoController.obtenerPermisosRevisadosParaGerente);
api.post('/contarTotalPermisosRevisadosParaGerente', md_auth.ensureAuth, PermisoController.contarTotalPermisosRevisadosParaGerente);
api.put('/actualizarPermisoParaGerente/:id', md_auth.ensureAuth, PermisoController.actualizarPermisoParaGerente);



module.exports = api;
